aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-12-27 07:17:36 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-12-27 07:19:18 +0000
commit9506ad46906361c0300ad0843cd9be6d223fa114 (patch)
tree29953eb605d9e463a418d2ac71cf33112e6ea9e3 /main
parentd568fa505c9ea674d1176077e02f78b716d291c4 (diff)
downloadaports-9506ad46906361c0300ad0843cd9be6d223fa114.tar.gz
aports-9506ad46906361c0300ad0843cd9be6d223fa114.tar.bz2
aports-9506ad46906361c0300ad0843cd9be6d223fa114.tar.xz
main/gamin: build fix
Diffstat (limited to 'main')
-rw-r--r--main/gamin/APKBUILD28
-rw-r--r--main/gamin/fix-deprecated-const.patch56
2 files changed, 76 insertions, 8 deletions
diff --git a/main/gamin/APKBUILD b/main/gamin/APKBUILD
index 5e790d6057..4030bbe4d4 100644
--- a/main/gamin/APKBUILD
+++ b/main/gamin/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gamin
pkgver=0.1.10
-pkgrel=7
+pkgrel=8
pkgdesc="Gamin is a file and directory monitoring system defined to be a subset of the FAM (File Alteration Monitor) system."
url="http://www.gnome.org/~veillard/gamin"
arch="all"
@@ -9,23 +9,34 @@ license="GPL"
subpackages="$pkgname-dev py-$pkgname:py"
depends=
makedepends="pkgconfig glib-dev python-dev"
-source="http://www.gnome.org/~veillard/$pkgname/sources/$pkgname-$pkgver.tar.gz"
+source="http://www.gnome.org/~veillard/$pkgname/sources/$pkgname-$pkgver.tar.gz
+ fix-deprecated-const.patch"
-build ()
-{
- cd "$srcdir"/$pkgname-$pkgver
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
./configure --prefix=/usr \
--disable-static \
--with-threads \
--disable-debug-api \
--disable-debug \
--disable-dnotify \
- --libexecdir=/usr/lib/gamin
+ --libexecdir=/usr/lib/gamin \
+ || return 1
make || return 1
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
# some kinde of race in the make install which is not solved with -j || return 1
export MKDIRPROG="mkdir -p"
make DESTDIR="$pkgdir" install || return 1
@@ -39,4 +50,5 @@ py() {
mv "$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib/
}
-md5sums="b4ec549e57da470c04edd5ec2876a028 gamin-0.1.10.tar.gz"
+md5sums="b4ec549e57da470c04edd5ec2876a028 gamin-0.1.10.tar.gz
+f679aeb48fe9dd376c8828cc9b6941ab fix-deprecated-const.patch"
diff --git a/main/gamin/fix-deprecated-const.patch b/main/gamin/fix-deprecated-const.patch
new file mode 100644
index 0000000000..3d5f6133fd
--- /dev/null
+++ b/main/gamin/fix-deprecated-const.patch
@@ -0,0 +1,56 @@
+Description: Don't use deprecated G_CONST_RETURN. Fixes building with newer glib versions.
+Author: Matthias Klose <doko@ubuntu.com>
+Bug-Ubuntu: https://launchpad.net/bugs/829504
+
+Index: gamin/server/gam_node.c
+===================================================================
+--- gamin.orig/server/gam_node.c 2011-10-18 16:09:04.873780685 +0200
++++ gamin/server/gam_node.c 2011-10-18 16:09:01.965780543 +0200
+@@ -122,7 +122,7 @@
+ * it has finished with the string. If it must keep it longer, it
+ * should makes its own copy. The returned string must not be freed.
+ */
+-G_CONST_RETURN char *
++const char *
+ gam_node_get_path(GamNode * node)
+ {
+ g_assert(node);
+Index: gamin/server/gam_node.h
+===================================================================
+--- gamin.orig/server/gam_node.h 2011-10-18 16:09:04.729780677 +0200
++++ gamin/server/gam_node.h 2011-10-18 16:09:01.961780544 +0200
+@@ -58,7 +58,7 @@
+ void gam_node_set_is_dir (GamNode *node,
+ gboolean is_dir);
+
+-G_CONST_RETURN char *gam_node_get_path (GamNode *node);
++const char *gam_node_get_path (GamNode *node);
+
+ GList *gam_node_get_subscriptions (GamNode *node);
+
+Index: gamin/server/gam_subscription.c
+===================================================================
+--- gamin.orig/server/gam_subscription.c 2011-10-18 16:09:04.817780682 +0200
++++ gamin/server/gam_subscription.c 2011-10-18 16:09:01.965780543 +0200
+@@ -141,7 +141,7 @@
+ * @param sub the GamSubscription
+ * @returns The path being monitored. It should not be freed.
+ */
+-G_CONST_RETURN char *
++const char *
+ gam_subscription_get_path(GamSubscription * sub)
+ {
+ if (sub == NULL)
+Index: gamin/server/gam_subscription.h
+===================================================================
+--- gamin.orig/server/gam_subscription.h 2011-10-18 16:09:04.929780687 +0200
++++ gamin/server/gam_subscription.h 2011-10-18 16:09:01.965780543 +0200
+@@ -21,7 +21,7 @@
+
+ int gam_subscription_get_reqno (GamSubscription *sub);
+
+-G_CONST_RETURN char *gam_subscription_get_path (GamSubscription *sub);
++const char *gam_subscription_get_path (GamSubscription *sub);
+
+ GamListener *gam_subscription_get_listener (GamSubscription *sub);
+